# Python imports

# Lib imports
from kivy.uix.gridlayout import GridLayout
from kivy.uix.button import Button

# Application imports


class CoreWidget(GridLayout):
    """docstring for CoreWidget."""

    def __init__(self):
        super(CoreWidget, self).__init__()

        self._setup_styling()
        self._setup_signals()
        self._load_widgets()


    def _setup_styling(self):
        self.cols = 2
        self.row_force_default = True
        self.row_default_height = 40

    def _setup_signals(self):
        ...

    def _load_widgets(self):
        hello_button = Button(text='Click Me!')
        hello_button.bind(on_release=self._hello_world)

        close_button = Button(text='Close')
        close_button.bind(on_release=self._close_button_eve)

        self.add_widget(hello_button)
        self.add_widget(close_button)

    def _hello_world(self, widget=None, eve=None):
        print("Hello, World!")

    def _close_button_eve(self, widget=None, eve=None):
        event_system.emit("tear_down")
